Draft Rotate/es: Difference between revisions

From FreeCAD Documentation
(Created page with "==Utilización==")
(Created page with "# Selecciona los objetos que desees girar o copiar # Presiona el botón {{KEY|16px girar}}, o presiona las teclas {{KEY|R}} y {{...")
Line 9: Line 9:
==Utilización==
==Utilización==


# Selecciona los objetos que desees girar o copiar
# Select objects you wish to rotate or copy
# Press the {{KEY|[[Image:Draft Rotate.png|16px]] [[Draft Rotate]]}} button, or press {{KEY|R}} then {{KEY|O}} keys
# Presiona el botón {{KEY|[[Image:Draft Rotate.png|16px]] [[Draft Rotate/es|girar]]}}, o presiona las teclas {{KEY|R}} y {{KEY|O}}
# Click a center point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Designa un punto central en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
# Designa un segundo punto en la vista 3D, o indica un ángulo de referencia
# Click a second point on the 3D view, or give a reference angle
# Designa un tercer punto en la vista 3D, o indica un ángulo de rotación
# Click a third point on the 3D view, or give a rotation angle


==Options==
==Options==

Revision as of 15:41, 13 February 2014

Draft Rotate

Ubicación en el Menú
Croquis -> Girar
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
R O
Introducido en versión
-
Ver también
Ninguno

Descripción

Esta herramienta gira o copia y gira los objetos seleccionados un ángulo dado alrededor de un punto en el plano de trabajo actual. Si no se han seleccionado objetos, te invitará a seleccionar uno. Luego, se pregunta al usuario por el centro de rotación, el ángulo de inicio y el ángulo de giro.

Utilización

  1. Selecciona los objetos que desees girar o copiar
  2. Presiona el botón girar, o presiona las teclas R y O
  3. Designa un punto central en la vista 3D, o escribe unas coordenadas
  4. Designa un segundo punto en la vista 3D, o indica un ángulo de referencia
  5. Designa un tercer punto en la vista 3D, o indica un ángulo de rotación

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Rotate tool will restart after you finish or close it, allowing you to rotate or copy the objects another time without pressing the Rotate button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of rotating them. If you keep ALT pressed after clicking the third point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the rotation center.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Rotate tool can by used in macros and from the python console by using the following function:

 rotate (FreeCAD.Object or list, angle, [center], [axis] ,[copymode])
  • Rotates the given object or the objects contained in the given list with the given angle around the given center if provided, using axis as a rotation axis.
  • If axis is omitted, the rotation will be around the vertical Z axis.
  • If copymode is True, the actual objects are not moved, but copies are created instead.
  • Returns the objects (or their copies is copymode was True).

Example:

 import FreeCAD,Draft
 Draft.rotate(FreeCAD.ActiveDocument.ActiveObject,45)